summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-06-14 05:10:56 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-06-14 11:59:26 +0000
commit8af2335c48ac495503f23de19fa4775a49657b94 (patch)
treefcd205b428aa5138120402af2d8209f24856b3b4
parentChanging default value handling for variables in git-whoami to more portable ... (diff)
downloadservice-tools-8af2335c48ac495503f23de19fa4775a49657b94.tar.xz
service-tools-8af2335c48ac495503f23de19fa4775a49657b94.zip
Consistently using curly braces for variables in git-whoami.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xgit/bin/git-whoami14
1 files changed, 7 insertions, 7 deletions
diff --git a/git/bin/git-whoami b/git/bin/git-whoami
index 954a5ba..50f432a 100755
--- a/git/bin/git-whoami
+++ b/git/bin/git-whoami
@@ -10,7 +10,7 @@
set -e
get_email() {
- git config user.email || ( [ -n "$EMAIL" ] && echo "$EMAIL" ) || echo "$(id -nu)@$(hostname --fqdn)"
+ git config user.email || ( [ -n "${EMAIL}" ] && echo "${EMAIL}" ) || echo "$(id -nu)@$(hostname --fqdn)"
}
get_name() {
@@ -22,12 +22,12 @@ GIT_AUTHOR_EMAIL="${GIT_AUTHOR_EMAIL:-$(get_email)}"
GIT_COMMITTER_NAME="${GIT_COMMITER_NAME:-$(get_name)}"
GIT_COMMITTER_EMAIL="${GIT_COMMITER_EMAIL:-$(get_email)}"
-author="$GIT_AUTHOR_NAME <$GIT_AUTHOR_EMAIL>"
-commit="$GIT_COMMITTER_NAME <$GIT_COMMITTER_EMAIL>"
+author="$GIT_AUTHOR_NAME <${GIT_AUTHOR_EMAIL}>"
+commit="$GIT_COMMITTER_NAME <${GIT_COMMITTER_EMAIL}>"
-if [ "$author" = "$commit" ]; then
- echo "$author"
+if [ "${author}" = "${commit}" ]; then
+ echo "${author}"
else
- echo "Author: $author"
- echo "Commit: $commit"
+ echo "Author: ${author}"
+ echo "Commit: ${commit}"
fi